qualityDiagnostics {arrayMagic} | R Documentation

## Generates quality diagnostic plots

### Description

Several quality diagnostic plots are generated. The distributions of the (normalised) intensities, as well as overall similarities between hybridisations and several other quality parameters are graphically visualised (cf. function `qualityParameters`).

### Usage

    qualityDiagnostics(arrayDataObject, exprSetRGObject, qualityParametersList, slideNameColumn, savePath=".", completeOutput=FALSE, verbose=TRUE, plotOutput="pdf")

### Arguments

`arrayDataObject` | `arrayData-class`; required; default: missing
`exprSetRGObject` | `exprSetRG-class`; required, default: missing
`qualityParametersList` | the return value of `qualityParameters` required; default: missing
`slideNameColumn` | character string; optional; default: missing; specifies a column of `pDataSlide(exprSetRGObject)`.
`savePath` | character string; required; default: "."
`completeOutput` | required; default: `FALSE`
`verbose` | logical; required; default: `TRUE`
`plotOutput` | character string specifying the output type; either "screen", "pdf" or "win.metafile"; default: "pdf"

### Details

### Value

The function is called for its side effect.

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`qualityParameters`, `exprSetRG-class`, `arrayData-class`

### Examples

[Package Contents]